using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Runtime.InteropServices;

namespace Sharp_LC_PRO
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [DllImport("LC_PRO.dll", EntryPoint = "Connect_L_Decoder", CallingConvention = CallingConvention.StdCall)]
        internal static extern IntPtr Connect_L_Decoder([In] Int32 MaxColCount, [In] Int32 MaxRowCount);

        [STAThread]
        static void Main ( )
        {
            //            int vers;
            //            vers = Version();
            //            if (vers!=0)
            IntPtr decPtr = Connect_L_Decoder(5000, 8000);
            if (decPtr == IntPtr.Zero)
            {
                return;
            }
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new Form1(decPtr));
        }
    }
}